- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# QFSFileEngine Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qfsfileengine.h.

`#include <qfsfileengine.h>`

Inheritance diagram for QFSFileEngine:
[legend]

List of all members.

## Public Member Functions
| QFSFileEngine ()
| QFSFileEngine (const QString &file)
| ~QFSFileEngine ()
bool | open (QIODevice::OpenMode openMode)
bool | open (QIODevice::OpenMode flags, FILE *fh)
bool | close ()
bool | flush ()
qint64 | size () const
qint64 | pos () const
bool | seek (qint64)
bool | isSequential () const
bool | remove ()
bool | copy (const QString &newName)
bool | rename (const QString &newName)
bool | link (const QString &newName)
bool | mkdir (const QString &dirName, bool createParentDirectories) const
bool | rmdir (const QString &dirName, bool recurseParentDirectories) const
bool | setSize (qint64 size)
bool | caseSensitive () const
bool | isRelativePath () const
QStringList | entryList (QDir::Filters filters, const QStringList &filterNames) const
FileFlags | fileFlags (FileFlags type) const
bool | setPermissions (uint perms)
QString | fileName (FileName file) const
uint | ownerId (FileOwner) const
QString | owner (FileOwner) const
QDateTime | fileTime (FileTime time) const
void | setFileName (const QString &file)
int | handle () const
Iterator * | beginEntryList (QDir::Filters filters, const QStringList &filterNames)
Iterator * | endEntryList ()
qint64 | read (char *data, qint64 maxlen)
qint64 | readLine (char *data, qint64 maxlen)
qint64 | write (const char *data, qint64 len)
bool | extension (Extension extension, const ExtensionOption *option=0, ExtensionReturn *output=0)
bool | supportsExtension (Extension extension) const
bool | open (QIODevice::OpenMode flags, int fd)
## Static Public Member Functions
static bool | setCurrentPath (const QString &path)
static QString | currentPath (const QString &path=QString())
static QString | homePath ()
static QString | rootPath ()
static QString | tempPath ()
static QFileInfoList | drives ()
## Protected Member Functions
| QFSFileEngine (QFSFileEnginePrivate &dd)

## Constructor & Destructor Documentation

QFSFileEngine | ( |  | ) |

QFSFileEngine | ( | const QString & | file | ) | `[explicit]`

~QFSFileEngine | ( |  | ) |

QFSFileEngine | ( | QFSFileEnginePrivate & | dd | ) | `[protected]`

## Member Function Documentation

bool open | ( | QIODevice::OpenMode | openMode | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool open | ( | QIODevice::OpenMode | flags,
|  | FILE * | fh
| ) |  |

Search for all occurrences

bool close | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool flush | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

qint64 size | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

qint64 pos | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool seek | ( | qint64 |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool isSequential | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool remove | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool copy | ( | const QString & | newName | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool rename | ( | const QString & | newName | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool link | ( | const QString & | newName | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool mkdir | ( | const QString & | dirName,
|  | bool | createParentDirectories
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool rmdir | ( | const QString & | dirName,
|  | bool | recurseParentDirectories
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool setSize | ( | qint64 | size | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool caseSensitive | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool isRelativePath | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

QStringList entryList | ( | QDir::Filters | filters,
|  | const QStringList & | filterNames
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

FileFlags fileFlags | ( | FileFlags | type | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool setPermissions | ( | uint | perms | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

QString fileName | ( | FileName | file | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

uint ownerId | ( | FileOwner |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

QString owner | ( | FileOwner |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

QDateTime fileTime | ( | FileTime | time | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

void setFileName | ( | const QString & | file | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

int handle | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

Iterator* beginEntryList | ( | QDir::Filters | filters,
|  | const QStringList & | filterNames
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

Iterator* endEntryList | ( |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

qint64 read | ( | char * | data,
|  | qint64 | maxlen
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

qint64 readLine | ( | char * | data,
|  | qint64 | maxlen
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

qint64 write | ( | const char * | data,
|  | qint64 | len
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool extension | ( | Extension | extension,
|  | const ExtensionOption * | option = `0`,
|  | ExtensionReturn * | output = `0`
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool supportsExtension | ( | Extension | extension | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractFileEngine.

bool open | ( | QIODevice::OpenMode | flags,
|  | int | fd
| ) |  |

Search for all occurrences

static bool setCurrentPath | ( | const QString & | path | ) | `[static]`

Search for all occurrences

static QString currentPath | ( | const QString & | path = `QString()` | ) | `[static]`

Search for all occurrences

static QString homePath | ( |  | ) | `[static]`

Search for all occurrences

static QString rootPath | ( |  | ) | `[static]`

Search for all occurrences

static QString tempPath | ( |  | ) | `[static]`

Search for all occurrences

static QFileInfoList drives | ( |  | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qfsfileengine.h

QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine
QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine QFSFileEngine